# Notes



## 1.2 Adressierung und Wegewahl anhand von IPv4

Aufbauend auf der Sicherungsschicht, die dafür zuständig ist Rahmen durch ein LAN zu transportieren, werden mit den Funktionen der Vermittlungsschicht (Schicht 3 des ISO-OSI Referenzmodells) Nachrichten von der Quelle bis zum endgültigen Ziel übertragen.

因为数据链路层的建立，**数据链路层是负责通过LAN来传输帧的层**，将会利用网络层的功能将消息从源传输到目的地

Dabei können Teilnetze durchquert werden, die unterschiedliche Schicht 2 Implemen tierungen einsetzen. 
在此过程中可以跨越多个子网，**这些子网使用不同的第二层实现**。

Da die Vermittlungsschicht Datagramme bis zum endgültigen Ziel überträgt, müssen Endpunkte über alle Teilnetze hinweg eindeutig adressierbar sein.
由于网络层将数据报传输到最终目的地，因此端点必须能在所有子网中唯一寻址。

### 1.2.1 Vermittlung und Wegewahl 路由和路径选择（routing and path selection)

Innerhalb einer Broadcast-Domäne (z.B. Ethernet-Bus) können Nachrichten direkt an einen Empfänger zugestellt werden: alle Kommunikationsteilnehmer „hören” die Nachricht auf dem Broadcastmedium. 
在一个广播域内消息可以直接发送给接收者：所有的通信参与者通过广播介质“听到”消息。

Der **Adressat** erkennt an der Zieladresse (es ist seine
eigene!), dass er die Nachricht **auszuwerten** hat. Soll（如果） eine Nachricht nach außerhalb der Broadcast-Domäne des Senders übertragen werden, sind **Koppelkomponenten** erforderlich, die eine *Vermittlung*（路由） der Nachricht ermöglichen. 
接收方通过识别目标地址（就是他自己的地址！），知道他需要处理这条消息。如果要将消息传输到发送方的广播域之外，就需要使用连接组件，这些组件可以实现消息的路由。

Sie kennen bereits die Vermittlung auf der Sicherungsschicht, in geswitchten Ethernet-LANs: ein Switch entscheidet **anhand** einer ihm bekannten Ziel-MAC-Adresse eines Rahmens, an welche(n) seiner Ports der Rahmen ausgegeben werden soll. 
您已经熟悉了路由实在链路层，比如在交换式以太网LAN中，一个**交换机**根据一个已知目的地MAC地址的一个帧，来决定这个帧应该被发送到哪个ports中

Kennt der Switch die Zieladresse des Rahmens noch nicht, so gibt er den Rahmen auf allen Ports aus.
路由器**不知道**帧的目标地址，就会发送帧到所有的端口出去

Zwischen LANs übernimmt die Schicht 3 des ISO-OSI Modells, die Vermittlungsschicht (engl. network layer), die Weitergabe von Nachrichten. 
**LAN使用OSI模型中的第三层（网络层）来转发消息**

Die Komponenten der Vermittlungsschicht heißen Router. 
网络层的组件叫做Router

Ähnlich wie Switches verfügen sie über eine Anzahl **Schnittstellen（接口）**, die in verschiedene Subnetze führen. 
与交换机类似，router有多个接口，这些接口通向不同的子网

Ein Router entscheidet anhand einer Routing-Tabelle und der Zieladresse des Schicht 3 Protokolls, in welches Teilnetz eine Nachricht vermittelt werden soll

一个路由根据路由表和第三层协议的目标地址，来决定应该向哪一个子网路由（传输）数据

![image-20241015231821043](https://lsky.mhrooz.xyz/2024/10/15/fe2decd76d59b.png)

小结：

- **路由器工作在网络层（第三层）**，处理 **IP地址**，并将数据包从一个子网路由到另一个子网。
- **交换机工作在数据链路层（第二层）**，处理 **MAC地址**，在同一子网内的设备之间传输数据。
- 路由器使用多个接口连接不同的子网，并根据路由表来选择合适的接口将数据包发送到目标子网。

### 1.2.2 Das IP-Protokoll (Version 4) IPV4

Die am weitesten **verbreitete** Schicht 3 Implementierung ist das IP-Protokoll in der Version 4 (IPv4, [ RFC 791 ]). 
最广泛使用的第三层实现是IPv4

IPv4 ist ein **verbindungsloses** Schicht 3 Protokoll, d.h. alle Datagramme werden **unabhängig** voneinander zugestellt. 
IPv4是一个无连接的第三层协议，也就是说，所有的数据报都是**独立传送**的

Der Dienst, den IPv4 höheren Schichten zur Verfügung stellt, ist lediglich die Zustellung von Datagrammen zu einem bestimmten Endpunkt. 

IPv4 stellt nicht sicher, dass Datagramme in der selben Reihenfolge empfangen werden, in der sie gesendet wurden. 

Ebenso sieht IPv4 keine Funktionen vor, die sicherstellen, dass die Daten unverfälscht am Ziel ankommen. 

Seine Nachfolgeversion IPv6 ([?]) ist nicht weniger relevant, auch wenn es aktuell noch
nicht in gleichem Maße verbreitet ist

## Appendix

### Wort

unabhängig 独立的

Datagramme 数据报

verbreitete 广泛传播的，普及的

verfügen ueber 表示某个设备拥有/具备某些功能

Schnittstellen 接口

anhand 根据 依据

Quelle 源

endgueltigen Ziel 目的地

eindeutig 唯一的

Datagramme 数据报

hinweg 跨越，通过

Empfänger 接收者

Adressat 收件人/接收者

auswerten 分析 处理

Koppelkomponenten 连接组件（路由器 交换机 网桥等等）

Vermittlung 路由

LAN 局域网

Weitergabe 转发

### OSI 七层模型

#### 1. **物理层 (Physical Layer)**

- **功能**：负责传输原始的比特流（0和1），确保数据可以通过物理媒介传输，例如电缆、光纤或无线信号。
- **示例**：网线、光纤、以太网标准（如100BASE-T）、无线电波等。

#### 2. **数据链路层 (Data Link Layer) **sicherungsschicht

- **功能**：负责节点之间的直接数据传输，并提供错误检测和纠正。它将数据划分为帧，并在物理层之上构建可靠的传输。
- **示例**：MAC 地址、交换机、以太网协议、PPP（点对点协议）。

#### 3. **网络层 (Network Layer)**

- **功能**：负责数据包的路由选择和转发，即决定数据如何从源到达目标。它处理逻辑地址（如IP地址）并决定数据的传输路径。
- **示例**：IP（互联网协议）、路由器、ICMP（用于ping命令）。

#### 4. **传输层 (Transport Layer)**

- **功能**：负责端到端的数据传输，并提供流量控制、分段、错误控制等服务。它确保数据的完整传输，并可能提供数据重传机制。
- **示例**：TCP（传输控制协议）、UDP（用户数据报协议）。

#### 5. **会话层 (Session Layer)**

- **功能**：负责建立、管理和终止会话。它确保在两个系统之间的对话能够正确进行，并提供对话控制功能。
- **示例**：NetBIOS、RPC（远程过程调用）。

#### 6. **表示层 (Presentation Layer)**

- **功能**：负责数据的翻译、加密和压缩。它确保数据可以被目标系统理解，甚至在不同的数据格式之间进行转换。
- **示例**：SSL/TLS（用于加密），JPEG、MPEG（用于数据格式）。

### 7. **应用层 (Application Layer)**

- **功能**：提供网络服务直接给用户。它是用户和网络之间的接口，允许应用程序访问网络服务。
- **示例**：HTTP、FTP、SMTP、DNS（域名系统）、Telnet。



finetuning 的时候用ground truth？

混合accuracy和swap

有没有ddpo改进的点？

先试一试？

可以做一个只有stage 2？

把transformer和reward的loss放一块

针对nas

search

neurips 

discrete state continuous time diffusion for graph generation

有没有什么新的diffusion？针对na的

icml graph